Bug 64538

Summary: TiledDrawingArea: map the visibleArea rect from page to scaled coordinates.
Product: WebKit Reporter: Jocelyn Turcotte <jturcotte>
Component: New BugsAssignee: Jocelyn Turcotte <jturcotte>
Status: RESOLVED FIXED    
Severity: Normal CC: benjamin, jturcotte, kenneth
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch benjamin: review+, benjamin: commit-queue-

Description Jocelyn Turcotte 2011-07-14 10:31:29 PDT
TiledDrawingArea: map the visibleArea rect from page to scaled coordinates.
Comment 1 Jocelyn Turcotte 2011-07-14 10:34:39 PDT
Created attachment 100827 [details]
Patch
Comment 2 Kenneth Rohde Christiansen 2011-07-14 14:14:31 PDT
Comment on attachment 100827 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=100827&action=review

> Source/WebKit2/UIProcess/TiledDrawingAreaProxy.h:170
> +    WebCore::IntRect m_contentsVisibleArea;

visibleContentRect is used for this elsewhere, like in FrameView.. maybe we should use the same terminology?
Comment 3 Benjamin Poulain 2011-07-15 03:53:28 PDT
Comment on attachment 100827 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=100827&action=review

> Source/WebKit2/ChangeLog:8
> +        TiledDrawingAreaProxy expects it's coordinates to be scaled according to

it's -> its
Comment 4 Benjamin Poulain 2011-07-15 03:59:25 PDT
(In reply to comment #2)
> visibleContentRect is used for this elsewhere, like in FrameView.. maybe we should use the same terminology?

+1 :)
Comment 5 Benjamin Poulain 2011-07-15 04:06:01 PDT
I see I introduced the regression here: http://trac.webkit.org/changeset/90750
Maybe mention you fix a regression introduced by r90750 in the Changelog?
Comment 6 Jocelyn Turcotte 2011-07-15 11:03:13 PDT
Created attachment 101003 [details]
Patch

Resubmitting for review after renaming all visibleAreas.
Please tell also what you think: visibleContentsRect or visibleContentRect? From what I saw contents is right, but that's not how it's written elsewhere.
Comment 7 Kenneth Rohde Christiansen 2011-07-15 11:03:41 PDT
WebCore uses visibleContentRect
Comment 8 Kenneth Rohde Christiansen 2011-07-15 11:04:35 PDT
http://www.english-test.net/forum/ftopic12826.html#36416 <- content vs contents :-)
Comment 9 Jocelyn Turcotte 2011-07-15 11:05:25 PDT
(In reply to comment #6)
> Created an attachment (id=101003) [details]
> Patch
> 
> Resubmitting for review after renaming all visibleAreas.
> Please tell also what you think: visibleContentsRect or visibleContentRect? From what I saw contents is right, but that's not how it's written elsewhere.

Humm forgot the changelog note for the regression, will update before pushing in any case.
Comment 10 Benjamin Poulain 2011-07-15 11:24:39 PDT
Comment on attachment 101003 [details]
Patch

Looks good. Sorry about the regression, I totally missed in which coordinate the view is, for some reason I assumed those coordinates were scaled.
Comment 11 Jocelyn Turcotte 2011-07-18 06:47:10 PDT
Committed r91180: <http://trac.webkit.org/changeset/91180>